compile ogre for android, cmake can not detect dependencies

Discussion of issues specific to mobile platforms such as iOS, Android, Symbian and Meego.
Post Reply
joechen0303
Gnoblar
Posts: 1
Joined: Mon Apr 22, 2013 9:38 am

compile ogre for android, cmake can not detect dependencies

Post by joechen0303 » Mon Apr 22, 2013 12:23 pm

I am new to cmake. I tried to cmake ogre for android and I followed the steps here: http://www.ogre3d.org/tikiwiki/CMake%20 ... on=Android
But an error came out when I reached step seven.
Here's the code:

Code: Select all

-- Configuring incomplete, errors occurred!

D:\pc3\CMake 2.8\bin>cmake -G"NMake Makefiles" -DCMAKE_TOOLCHAIN_FILE=..\cm
oolchain\android.toolchain.cmake -DOGRE_DEPENDENCIES_DIR=..\AndroidDependen
-DANDROID_ABI=armeabi -DANDROID_NATIVE_API_LEVEL=9 D:\pc3\ogre_src_v1-8-1
-- Configuring OGRE 1.8.1
-- Detected g++ 4.6

-- Enabling GCC visibility flags
-- Search path: D:/pc3/CMake 2.8/AndroidDependencies;D:/pc3/CMake 2.8/bin/D
encies;D:/pc3/ogre_src_v1-8-1/Dependencies;D:/pc3/CMake 2.8/bin/../Dependen
D:/pc3/ogre_src_v1-8-1/../Dependencies
-- Looking for ZLIB...
-- Could NOT find PkgConfig (missing:  PKG_CONFIG_EXECUTABLE)
-- Found ZLIB: optimized;D:/pc3/android-ndk-r8c/platforms/android-9/arch-ar
/lib/libz.so;debug;D:/pc3/android-ndk-r8c/platforms/android-9/arch-arm/usr/
ibz.so
-- Looking for ZZip...
-- Could NOT find PkgConfig (missing:  PKG_CONFIG_EXECUTABLE)
-- Could not locate ZZip
-- Looking for FreeImage...
-- Could NOT find PkgConfig (missing:  PKG_CONFIG_EXECUTABLE)
-- Could not locate FreeImage
-- Looking for FREETYPE...
-- Could NOT find PkgConfig (missing:  PKG_CONFIG_EXECUTABLE)
-- CMAKE_PREFIX_PATH: D:/pc3/CMake 2.8/AndroidDependencies;D:/pc3/CMake 2.8
Dependencies;D:/pc3/ogre_src_v1-8-1/Dependencies;D:/pc3/CMake 2.8/bin/../De
ncies;D:/pc3/ogre_src_v1-8-1/../Dependencies;/usr/local;/usr/lib/armv5te-li
nu
-- CMAKE_PREFIX_PATH: D:/pc3/CMake 2.8/AndroidDependencies;D:/pc3/CMake 2.8
Dependencies;D:/pc3/ogre_src_v1-8-1/Dependencies;D:/pc3/CMake 2.8/bin/../De
ncies;D:/pc3/ogre_src_v1-8-1/../Dependencies;/usr/local;/usr/lib/armv5te-li
nu
-- Could not locate FREETYPE
-- Could NOT find OpenGL (missing:  OPENGL_gl_LIBRARY)
-- Looking for Cg...
-- Could NOT find PkgConfig (missing:  PKG_CONFIG_EXECUTABLE)
-- Could not locate Cg
-- Looking for POCO...
-- Could NOT find PkgConfig (missing:  PKG_CONFIG_EXECUTABLE)
-- Could not locate POCO
-- Looking for TBB...
-- Could not locate TBB
-- Looking for GLSL_Optimizer...
-- Could NOT find PkgConfig (missing:  PKG_CONFIG_EXECUTABLE)
-- Could not locate GLSL_Optimizer
-- Looking for HLSL2GLSL...
-- Could NOT find PkgConfig (missing:  PKG_CONFIG_EXECUTABLE)
-- Could not locate HLSL2GLSL
-- Looking for OIS...
-- Could NOT find PkgConfig (missing:  PKG_CONFIG_EXECUTABLE)
-- Could not locate OIS
-- Could NOT find Doxygen (missing:  DOXYGEN_EXECUTABLE)
-- Looking for Softimage...
-- Could not locate Softimage
-- Looking for CppUnit...
-- Could NOT find PkgConfig (missing:  PKG_CONFIG_EXECUTABLE)
-- Could not locate CppUnit
CMake Error at CMake/Utils/MacroLogFeature.cmake:100 (MESSAGE):



  -------------------------------------------------------------------------


  -- The following REQUIRED packages could NOT be located on your system.

  -- Please install them before continuing this software installation.

  -- If you are in Windows, try passing -DOGRE_DEPENDENCIES_DIR=<path to
  dependencies>


  -------------------------------------------------------------------------


  + freetype: Portable font engine <http://www.freetype.org>

  + X11: X Window system <http://www.x.org>

  + Xt: X Toolkit <http://www.x.org>

  + Xaw: X11 Athena widget set <http://www.x.org>


  -------------------------------------------------------------------------
Call Stack (most recent call first):
  CMake/Dependencies.cmake:234 (MACRO_DISPLAY_FEATURE_LOG)
  CMakeLists.txt:178 (include)


-- Configuring incomplete, errors occurred!
I am using WinXP, android ndk r8e, cmake 2.8.10 and VS2008.
The dependencies was downloaded from the link above step one. And it was compiled.
I used to use NDK r8c. It was the same error. I thought that update the NDK may help. So I deleted r8c and downloaded r8e. But I did not change the files' name. I mean I put r8e into the file which I used to contain r8c.

I don't know what to do next, please help me!

I am not a native English speaker. I hope you can understand what I mean :(
0 x

Post Reply